/*
Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
Click nbfs://nbhost/SystemFileSystem/Templates/Other/CascadeStyleSheet.css to edit this template
*/
/* 
    Created on : 3 de set. de 2026, 10:40:15
    Author     : glaub
*/



* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html {
    width: 100%;
    min-height: 100%;
    background: #eeeeee;
    overflow-x: hidden;
    overflow-y: auto;
    -webkit-text-size-adjust: 100%;
}


body {
    width: 100%;
    min-width: 0;
    min-height: 100dvh;

    margin: 0;

    background: #eeeeee;
    color: var(--app-text);
    overflow-x: hidden;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;

    font-family:
        -apple-system,
        BlinkMacSystemFont,
        "Segoe UI",
        Roboto,
        Helvetica,
        Arial,
        sans-serif;
}

.app {
    width: 100%;
    max-width: var(--app-width);

    min-height: 100dvh;

    margin: 0 auto;

    background: var(--app-background);

    min-height: 100dvh;

    position: relative;
}

.app-content {
    width: 100%;
    min-height: 100dvh;

    padding:
        var(--app-padding)
        var(--app-padding);

    height: auto;
}


/* =========================================
   MOBILE
   ========================================= */

@media (max-width: 430px) {

    html,
    body {
        background: var(--app-background);
    }

    .app {
        width: 100%;
        max-width: none;
        min-width: var(--app-min-width);

        margin: 0;

        border-radius: 0;
    }
}


/* =========================================
   TABLET
   ========================================= */

@media (min-width: 431px) and (max-width: 1024px) {

    body {
        background: var(--app-background);
    }

    .app {
        width: 100%;
        max-width: 700px;

        margin: 0 auto;
    }
}


/* =========================================
   PC / NOTEBOOK
   ========================================= */

@media (min-width: 1025px) {

    body {
        background: #eeeeee;
    }

    .app {
        width: var(--app-width);
        max-width: var(--app-width);

        min-height: 100dvh;

        margin: 0 auto;

        background: var(--app-background);

        box-shadow:
            0 0 30px rgba(0, 0, 0, 0.12);
    }
}